// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: src/main/recources/Common.proto

package ru.omnicomm.pegasus.messaging.common;

public final class CommonParser {
  private CommonParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class MessageHeader extends
      com.google.protobuf.GeneratedMessage {
    // Use MessageHeader.newBuilder() to construct.
    private MessageHeader() {
      initFields();
    }
    private MessageHeader(boolean noInit) {}
    
    private static final MessageHeader defaultInstance;
    public static MessageHeader getDefaultInstance() {
      return defaultInstance;
    }
    
    public MessageHeader getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 0;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader result;
      
      // Construct using ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader other) {
        if (other == ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.MessageHeader)
    }
    
    static {
      defaultInstance = new MessageHeader(true);
      ru.omnicomm.pegasus.messaging.common.CommonParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.MessageHeader)
  }
  
  public static final class ValueMessage extends
      com.google.protobuf.GeneratedMessage {
    // Use ValueMessage.newBuilder() to construct.
    private ValueMessage() {
      initFields();
    }
    private ValueMessage(boolean noInit) {}
    
    private static final ValueMessage defaultInstance;
    public static ValueMessage getDefaultInstance() {
      return defaultInstance;
    }
    
    public ValueMessage getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 0;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional bool valid = 4 [default = true];
    public static final int VALID_FIELD_NUMBER = 4;
    private boolean hasValid;
    private boolean valid_ = true;
    public boolean hasValid() { return hasValid; }
    public boolean getValid() { return valid_; }
    
    // repeated int32 intValue = 201 [packed = true];
    public static final int INTVALUE_FIELD_NUMBER = 201;
    private java.util.List<java.lang.Integer> intValue_ =
      java.util.Collections.emptyList();
    public java.util.List<java.lang.Integer> getIntValueList() {
      return intValue_;
    }
    public int getIntValueCount() { return intValue_.size(); }
    public int getIntValue(int index) {
      return intValue_.get(index);
    }
    private int intValueMemoizedSerializedSize = -1;
    
    // repeated int64 longValue = 202 [packed = true];
    public static final int LONGVALUE_FIELD_NUMBER = 202;
    private java.util.List<java.lang.Long> longValue_ =
      java.util.Collections.emptyList();
    public java.util.List<java.lang.Long> getLongValueList() {
      return longValue_;
    }
    public int getLongValueCount() { return longValue_.size(); }
    public long getLongValue(int index) {
      return longValue_.get(index);
    }
    private int longValueMemoizedSerializedSize = -1;
    
    // repeated float floatValue = 203 [packed = true];
    public static final int FLOATVALUE_FIELD_NUMBER = 203;
    private java.util.List<java.lang.Float> floatValue_ =
      java.util.Collections.emptyList();
    public java.util.List<java.lang.Float> getFloatValueList() {
      return floatValue_;
    }
    public int getFloatValueCount() { return floatValue_.size(); }
    public float getFloatValue(int index) {
      return floatValue_.get(index);
    }
    private int floatValueMemoizedSerializedSize = -1;
    
    // repeated double doubleValue = 204 [packed = true];
    public static final int DOUBLEVALUE_FIELD_NUMBER = 204;
    private java.util.List<java.lang.Double> doubleValue_ =
      java.util.Collections.emptyList();
    public java.util.List<java.lang.Double> getDoubleValueList() {
      return doubleValue_;
    }
    public int getDoubleValueCount() { return doubleValue_.size(); }
    public double getDoubleValue(int index) {
      return doubleValue_.get(index);
    }
    private int doubleValueMemoizedSerializedSize = -1;
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasValid()) {
        output.writeBool(4, getValid());
      }
      if (getIntValueList().size() > 0) {
        output.writeRawVarint32(1610);
        output.writeRawVarint32(intValueMemoizedSerializedSize);
      }
      for (int element : getIntValueList()) {
        output.writeInt32NoTag(element);
      }
      if (getLongValueList().size() > 0) {
        output.writeRawVarint32(1618);
        output.writeRawVarint32(longValueMemoizedSerializedSize);
      }
      for (long element : getLongValueList()) {
        output.writeInt64NoTag(element);
      }
      if (getFloatValueList().size() > 0) {
        output.writeRawVarint32(1626);
        output.writeRawVarint32(floatValueMemoizedSerializedSize);
      }
      for (float element : getFloatValueList()) {
        output.writeFloatNoTag(element);
      }
      if (getDoubleValueList().size() > 0) {
        output.writeRawVarint32(1634);
        output.writeRawVarint32(doubleValueMemoizedSerializedSize);
      }
      for (double element : getDoubleValueList()) {
        output.writeDoubleNoTag(element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasValid()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(4, getValid());
      }
      {
        int dataSize = 0;
        for (int element : getIntValueList()) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeInt32SizeNoTag(element);
        }
        size += dataSize;
        if (!getIntValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        intValueMemoizedSerializedSize = dataSize;
      }
      {
        int dataSize = 0;
        for (long element : getLongValueList()) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeInt64SizeNoTag(element);
        }
        size += dataSize;
        if (!getLongValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        longValueMemoizedSerializedSize = dataSize;
      }
      {
        int dataSize = 0;
        dataSize = 4 * getFloatValueList().size();
        size += dataSize;
        if (!getFloatValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        floatValueMemoizedSerializedSize = dataSize;
      }
      {
        int dataSize = 0;
        dataSize = 8 * getDoubleValueList().size();
        size += dataSize;
        if (!getDoubleValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        doubleValueMemoizedSerializedSize = dataSize;
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage result;
      
      // Construct using ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.intValue_ != java.util.Collections.EMPTY_LIST) {
          result.intValue_ =
            java.util.Collections.unmodifiableList(result.intValue_);
        }
        if (result.longValue_ != java.util.Collections.EMPTY_LIST) {
          result.longValue_ =
            java.util.Collections.unmodifiableList(result.longValue_);
        }
        if (result.floatValue_ != java.util.Collections.EMPTY_LIST) {
          result.floatValue_ =
            java.util.Collections.unmodifiableList(result.floatValue_);
        }
        if (result.doubleValue_ != java.util.Collections.EMPTY_LIST) {
          result.doubleValue_ =
            java.util.Collections.unmodifiableList(result.doubleValue_);
        }
        ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage other) {
        if (other == ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        if (!other.intValue_.isEmpty()) {
          if (result.intValue_.isEmpty()) {
            result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
          }
          result.intValue_.addAll(other.intValue_);
        }
        if (!other.longValue_.isEmpty()) {
          if (result.longValue_.isEmpty()) {
            result.longValue_ = new java.util.ArrayList<java.lang.Long>();
          }
          result.longValue_.addAll(other.longValue_);
        }
        if (!other.floatValue_.isEmpty()) {
          if (result.floatValue_.isEmpty()) {
            result.floatValue_ = new java.util.ArrayList<java.lang.Float>();
          }
          result.floatValue_.addAll(other.floatValue_);
        }
        if (!other.doubleValue_.isEmpty()) {
          if (result.doubleValue_.isEmpty()) {
            result.doubleValue_ = new java.util.ArrayList<java.lang.Double>();
          }
          result.doubleValue_.addAll(other.doubleValue_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 32: {
              setValid(input.readBool());
              break;
            }
            case 1608: {
              addIntValue(input.readInt32());
              break;
            }
            case 1610: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addIntValue(input.readInt32());
              }
              input.popLimit(limit);
              break;
            }
            case 1616: {
              addLongValue(input.readInt64());
              break;
            }
            case 1618: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addLongValue(input.readInt64());
              }
              input.popLimit(limit);
              break;
            }
            case 1629: {
              addFloatValue(input.readFloat());
              break;
            }
            case 1626: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addFloatValue(input.readFloat());
              }
              input.popLimit(limit);
              break;
            }
            case 1633: {
              addDoubleValue(input.readDouble());
              break;
            }
            case 1634: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addDoubleValue(input.readDouble());
              }
              input.popLimit(limit);
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional bool valid = 4 [default = true];
      public boolean hasValid() {
        return result.hasValid();
      }
      public boolean getValid() {
        return result.getValid();
      }
      public Builder setValid(boolean value) {
        result.hasValid = true;
        result.valid_ = value;
        return this;
      }
      public Builder clearValid() {
        result.hasValid = false;
        result.valid_ = true;
        return this;
      }
      
      // repeated int32 intValue = 201 [packed = true];
      public java.util.List<java.lang.Integer> getIntValueList() {
        return java.util.Collections.unmodifiableList(result.intValue_);
      }
      public int getIntValueCount() {
        return result.getIntValueCount();
      }
      public int getIntValue(int index) {
        return result.getIntValue(index);
      }
      public Builder setIntValue(int index, int value) {
        result.intValue_.set(index, value);
        return this;
      }
      public Builder addIntValue(int value) {
        if (result.intValue_.isEmpty()) {
          result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
        }
        result.intValue_.add(value);
        return this;
      }
      public Builder addAllIntValue(
          java.lang.Iterable<? extends java.lang.Integer> values) {
        if (result.intValue_.isEmpty()) {
          result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
        }
        super.addAll(values, result.intValue_);
        return this;
      }
      public Builder clearIntValue() {
        result.intValue_ = java.util.Collections.emptyList();
        return this;
      }
      
      // repeated int64 longValue = 202 [packed = true];
      public java.util.List<java.lang.Long> getLongValueList() {
        return java.util.Collections.unmodifiableList(result.longValue_);
      }
      public int getLongValueCount() {
        return result.getLongValueCount();
      }
      public long getLongValue(int index) {
        return result.getLongValue(index);
      }
      public Builder setLongValue(int index, long value) {
        result.longValue_.set(index, value);
        return this;
      }
      public Builder addLongValue(long value) {
        if (result.longValue_.isEmpty()) {
          result.longValue_ = new java.util.ArrayList<java.lang.Long>();
        }
        result.longValue_.add(value);
        return this;
      }
      public Builder addAllLongValue(
          java.lang.Iterable<? extends java.lang.Long> values) {
        if (result.longValue_.isEmpty()) {
          result.longValue_ = new java.util.ArrayList<java.lang.Long>();
        }
        super.addAll(values, result.longValue_);
        return this;
      }
      public Builder clearLongValue() {
        result.longValue_ = java.util.Collections.emptyList();
        return this;
      }
      
      // repeated float floatValue = 203 [packed = true];
      public java.util.List<java.lang.Float> getFloatValueList() {
        return java.util.Collections.unmodifiableList(result.floatValue_);
      }
      public int getFloatValueCount() {
        return result.getFloatValueCount();
      }
      public float getFloatValue(int index) {
        return result.getFloatValue(index);
      }
      public Builder setFloatValue(int index, float value) {
        result.floatValue_.set(index, value);
        return this;
      }
      public Builder addFloatValue(float value) {
        if (result.floatValue_.isEmpty()) {
          result.floatValue_ = new java.util.ArrayList<java.lang.Float>();
        }
        result.floatValue_.add(value);
        return this;
      }
      public Builder addAllFloatValue(
          java.lang.Iterable<? extends java.lang.Float> values) {
        if (result.floatValue_.isEmpty()) {
          result.floatValue_ = new java.util.ArrayList<java.lang.Float>();
        }
        super.addAll(values, result.floatValue_);
        return this;
      }
      public Builder clearFloatValue() {
        result.floatValue_ = java.util.Collections.emptyList();
        return this;
      }
      
      // repeated double doubleValue = 204 [packed = true];
      public java.util.List<java.lang.Double> getDoubleValueList() {
        return java.util.Collections.unmodifiableList(result.doubleValue_);
      }
      public int getDoubleValueCount() {
        return result.getDoubleValueCount();
      }
      public double getDoubleValue(int index) {
        return result.getDoubleValue(index);
      }
      public Builder setDoubleValue(int index, double value) {
        result.doubleValue_.set(index, value);
        return this;
      }
      public Builder addDoubleValue(double value) {
        if (result.doubleValue_.isEmpty()) {
          result.doubleValue_ = new java.util.ArrayList<java.lang.Double>();
        }
        result.doubleValue_.add(value);
        return this;
      }
      public Builder addAllDoubleValue(
          java.lang.Iterable<? extends java.lang.Double> values) {
        if (result.doubleValue_.isEmpty()) {
          result.doubleValue_ = new java.util.ArrayList<java.lang.Double>();
        }
        super.addAll(values, result.doubleValue_);
        return this;
      }
      public Builder clearDoubleValue() {
        result.doubleValue_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.ValueMessage)
    }
    
    static {
      defaultInstance = new ValueMessage(true);
      ru.omnicomm.pegasus.messaging.common.CommonParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.ValueMessage)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\037src/main/recources/Common.proto\022$ru.om" +
      "nicomm.pegasus.messaging.common\"K\n\rMessa" +
      "geHeader\022\020\n\010sourceId\030\001 \002(\005\022\023\n\013messageTyp" +
      "e\030\002 \001(\005\022\023\n\013messageTime\030\003 \002(\005\"\301\001\n\014ValueMe" +
      "ssage\022\020\n\010sourceId\030\001 \002(\005\022\023\n\013messageType\030\002" +
      " \001(\005\022\023\n\013messageTime\030\003 \002(\005\022\023\n\005valid\030\004 \001(\010" +
      ":\004true\022\025\n\010intValue\030\311\001 \003(\005B\002\020\001\022\026\n\tlongVal" +
      "ue\030\312\001 \003(\003B\002\020\001\022\027\n\nfloatValue\030\313\001 \003(\002B\002\020\001\022\030" +
      "\n\013doubleValue\030\314\001 \003(\001B\002\020\001B4\n$ru.omnicomm." +
      "pegasus.messaging.commonB\014CommonParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", },
              ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.class,
              ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_ValueMessage_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Valid", "IntValue", "LongValue", "FloatValue", "DoubleValue", },
              ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.class,
              ru.omnicomm.pegasus.messaging.common.CommonParser.ValueMessage.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
